package client_server;

/**
 *StudentsProcessor processes a request from a web page.  It responds to the request by sending a query to a database, and returning the result.
 **/
 import java.io.*;
 import java.sql.*;
 
 public class Students extends WebRequestProcessor
 {
 	public void process (Request request, Response response)
 	{
 		try
 		{
 			//Get a connection to the database.
 			Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
 			Connection con=DriverManager.getConnection("jdbc:odbc:Student2B103");
 			
 			//Create a statement and a query
 			Statement stmt = con.createStatement();
 			String query = "Select * From Class2B103";
 			
 			//Execute the query and retrieve a ResultSet.
 			ResultSet rs = stmt.executeQuery (query);
 			
 			//Get a PrintWriter object and respond to the request.
 			PrintWriter out = response.getWriter();
 			Page.createHeader(out,"Student List");
 			out.println("<h3>Student List</h3>");
 			
 			//Display the data in the ResultSet.
 			while(rs.next())
 			{
 				out.println("<p>ID:" +rs.getString("class"));
 				out.println("<br/>Name:" + rs.getString("Name"));
 				out.println("<br/>Address:"+ rs.getString("Address"));
 				out.println("<br/>Telephone:"+rs.getString("Telephone"));
 				out.println("<br/>Email:"+ rs.getString("Email"));
 			}
 			Page.createFooter(out);
 			con.close();//Close the connection to the database.
 		}catch(SQLException e){System.out.println("SQL Exception");}
 		catch (ClassNotFoundException e){System.out.println("Driver not found");}
 	}//process
 }//Students Processor
 // Class with static method that add standard lines to the html output page.
 class Page 
 {
 	public static void createHeader(PrintWriter out, String title)
 	{
 		out.println("<!DOCTYPE HTML PUBLIC'-//W3C//DTD HTML 4.0 Transitiona//EN'>");
 		out.println("<html>");
 		out.println("<head>");
 		out.println("<title>"+title+"</title>");
 		out.println("</head>");
 		out.println("<body bgcolor='cyan'>");
 	} // createHeader
 	public static void createFooter(PrintWriter out){out.println("</body></html>");}
 }//class Page